<template>
  <li>
    <div>
      <h3>{{ topic }}</h3>
      <p>{{ comment }}</p>
    </div>
    <div class="button">
      <base-button link :to="detailsLink">Wyświetl szczegóły</base-button>
    </div>
  </li>
</template>

<script setup>
import { defineProps, computed } from "vue";
import { useRoute } from "vue-router";

const props = defineProps(["id", "topic", "comment"]);

const route = useRoute();

const detailsLink = computed(function () {
  return route.path + "/" + props.id;
});
</script>

<style scoped>
li {
  margin: 1rem 0;
  border: 1px solid #424242;
  border-radius: 12px;
  padding: 1rem;
}

h3 {
  font-size: 1.5rem;
  margin: 0.5rem 0 0 0;
}

p {
  margin-top: 0.5rem;
}

div {
  margin: 0.5rem 0;
}

.button {
  margin: 1rem 0 0 0;
}
</style>
